Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.coaext
Class EPPCoaExtKey

    java.lang.Object
      com.verisign.epp.codec.coaext.EPPCoaExtKey

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPCoaExtKey

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a COA Key Tag.

Title: EPP 1.0 Client Object Attribute - Key

Description: The Key tag represents the name of a Client Object Attribute. It contains simply the Client Object Attribute name as text.

Copyright: Copyright (c) 2011

Company: VeriSign

Version:
  1.0
Author:
  jfaust
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Constant for the key tag

Constructor Summary
`EPPCoaExtKey()` Create an EPPCoaExtKey instance
`EPPCoaExtKey(java.lang.String aKey)` Create a EPPCoaExtKey intance with the given key

Method Summary
`java.lang.Object` | `clone()` Clone `EPPCoaExtKey`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPCoaExtKey component
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPCoaExtKey` compare.
`java.lang.String` | `getKey()` Returns the key to a key/value pair.
`void` | `setKey(java.lang.String aKey)` Sets the Key

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the key tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPCoaExtKey

    public EPPCoaExtKey()

  Create an EPPCoaExtKey instance

### EPPCoaExtKey

    public EPPCoaExtKey(java.lang.String aKey)

  Create a EPPCoaExtKey intance with the given key

  Parameters:
    `aKey` - the key

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPCoaExtKey`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPCoaExtKey`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Sets all this instance's data in the given XML document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPCoaExtKey component

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` -
  Throws:
    `EPPDecodeException`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPCoaExtKey` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPCoaExtKey` instance to compare with
  Returns:
    true if equal false otherwise

### getKey

    public java.lang.String getKey()

  Returns the key to a key/value pair.

  Returns:
    the key

### setKey

    public void setKey(java.lang.String aKey)

  Sets the Key

  Parameters:
    `aKey` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.